Bug 188801 - CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-04-12 22:28 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0329
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-25 10:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:28:06 EDT
CSS Letter-Spacing Heap Overflow Vulnerability

An  anonymous  researcher for TippingPoint and the Zero Day Initiative
discovered an integer overflow triggered by the CSS letter-spacing property.
This results in in under-allocating memory and ultimately a heap buffer
overflow which could be exploited to run code of the attacker's choice.

The overflow condition itself does not require JavaScript and thus could
affect Thunderbird via received mail, but without scripting to prepare
memory it may not be possible to exploit this condition in mail.


Upgrade to the fixed version.



This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 2 Josh Bressers 2006-04-17 13:39:08 EDT
Lifting embargo
Comment 5 Red Hat Bugzilla 2006-04-25 10:04:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.